# for the future
%define has_rhnlib 1

Summary: Panel applet for indication that newer Red Hat packages are available
License: GPL
Group: System Environment/Base
Source0: %{name}-%{version}.tar.gz
Patch0: centos-rhn.patch
Name: rhn-applet
URL: http://www.centos.org/
Version: 2.1.17
Release: 5.centos4.1
BuildRoot: %{_tmppath}/%{name}-root
Requires: python >= 2.2.1
BuildRequires: python-devel >= 2.2.1
Requires: rpm-python
%if %{has_rhnlib}
Requires: rhnlib >= 1.4
%else
Requires: python-xmlrpc >= 1.5.0
%endif
Requires: pygtk2-libglade
Requires: up2date-gnome >= 4.1.5
Requires: pygtk2 >= 1.99.12-6
BuildRequires:  pygtk2-devel >= 1.99.12-6
Requires: gnome-python2 >= 1.99.11-7
Requires: libgnomeui >= 2.0.3-1
BuildRequires: gettext
BuildRequires: gtk2-devel >= 2.2.0
BuildRequires: libgnomeui-devel >= 2.0.3-1
Requires: libgnome >= 2.0.2-5
Requires: gnome-python2-gtkhtml2

# should be provided by up2date or up2date-gnome, but just to be sure...
#Requires: /usr/share/rhn/CNS-CA-CERT

# for uuidgen, we need:
Requires: e2fsprogs

# for post section:
Requires: perl

%description
Panel applet for indication that newer CentOS packages are available.

%prep
%if %{?CNdevel:1}%{!?CNdevel:0} 
%setup -c -q
%else 
%setup -q 
%endif 

%patch0 -p1

%build
make

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT

%find_lang %{name}

%post
UUID=$(/usr/bin/uuidgen -t)
perl -p -i -e "s/UNSPECIFIED/$UUID/g" /etc/sysconfig/rhn/rhn-applet

%clean
rm -fr $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
/usr/bin/rhn-applet-gui
/usr/bin/rhn-applet-tui
/usr/share/rhn/rhn_applet/*.py
/usr/share/rhn/rhn_applet/*.pyc
/usr/share/rhn/rhn_applet/*.glade
/usr/share/rhn/rhn_applet/*.png
/usr/share/rhn/rhn_applet/*.so
/usr/share/pixmaps/*
/usr/share/applications/rhn-applet.desktop
%config(noreplace) /etc/sysconfig/rhn/rhn-applet
%doc doc/*

%changelog
* Sun Mar 6 2005 Johnny Hughes <johnny@centos.org>
- Centos-4 Initial build

* Tue Nov 9 2004 Adrian Likins <alikins@redhat.com> 2.1.17-1
- fix #138369
